import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { Routes, RouterModule } from '@angular/router';

import { IonicModule } from '@ionic/angular';

import { EnvCfgPage } from './env-cfg.page';
import {NgxDatatableModule} from '@swimlane/ngx-datatable';
import {WtModule} from '../../components/wt/wt.module';

const routes: Routes = [
  {
    path: '',
    component: EnvCfgPage
  }
];

@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    IonicModule,
    RouterModule.forChild(routes),
    NgxDatatableModule,
    WtModule
  ],
  declarations: [EnvCfgPage]
})
export class EnvCfgPageModule {}
